Skip to main content
GET
/
v1
/
metrics
/
sequencer-cost-total
Sequencer Cost Total
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/sequencer-cost-total \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/sequencer-cost-total?project=optimism"

Example Response

{
  "optimism": [
    {
      "date": "2026-03-22",
      "value": 81.1309676012642
    },
    {
      "date": "2026-03-21",
      "value": 40.97306355489803
    },
    {
      "date": "2026-03-20",
      "value": 46.87559652863802
    },
    {
      "date": "2026-03-19",
      "value": 51.2466613024223
    },
    {
      "date": "2026-03-18",
      "value": 61.79086203003095
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
arbitrum,
base,
katana,
optimism,
unichain,
zksync
Example:

"arbitrum"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]